:root{
    --color-primary:#094b62;
    --color-hamburger-menu:#094b62;
    --border-hamburger-menu:1px solid rgba(255, 255, 255, 0.12);
}

*{
    box-sizing: border-box;
}
a{
    color: var(--color-primary);
    transition: all 0.3s;
    text-decoration: none;

}
a:hover{
    opacity: 0.8;
}
html, body {
    margin: 0;
    padding: 0;
    display: flex;
    flex-direction: column;
    min-height: 100vh;
    font-family: Montserrat;
    background-color: #094b62;
}

/*header*/
header.header-content {
    position: sticky;
    top: 0;
    z-index: 1000;
    transition: all 0.5s;
    background-color: white;
}
header.header-content.is-scroll {
    box-shadow: 0 0 8px 3px rgba(0, 0, 0, 0.3);
}

header.header-content nav {
    display: flex;
    max-width: 1400px;
    margin: auto;
    align-items: center;
    height: 73px;
}
header.header-content nav ul{
    width: 100%;
    text-align: center;
    display: flex;
    margin: 0;
    padding: 0;
}
header.header-content nav li {
    list-style: none;
    margin: 0;
    padding: 0;
    flex: 1;
    display: inline-block;
}
header.header-content nav li a{
    padding: 15px;
}
header.header-content nav li a:hover{
    background: rgba(50, 50, 50, 0.05);
}
header.header-content .header-modo nav{
    height: auto;
}
header.header-content .header-modo{
    height: auto;
    border-bottom: 1px solid #D5E3EC;
}
.nav-header-repo{
    display: none;
    align-items: center;
    height: 100%;
    margin: 10px 0;
}
.nav-header-repo i{
    font-size: 50px;
    margin: 10px;
    color: var(--color-primary);
    cursor: pointer;
}

@media (max-width: 900px) {
    header .nav-header-repo{
        display: flex;
    }
    header.header-content .nav-header{
        display: none;
    }
}
/*main*/

.title {

    text-align: center;
    margin-bottom: 3rem;
    font-size: 40px;
    color: #FFFF;
    font-family: Montserrat;
    font-weight: bold;

}
.main-content{
    width: 100%;
    max-width: 500px;
    margin: 20px auto;
}
.p-main{
    padding: 0 10px;
    padding-bottom: 10px;
    margin: auto;
    margin-top: 10rem;
}
.block-word{
    text-align: center;
    color: #FFFF;
}
.block-image{

    margin-left: 4rem;
}
.block-word h1{
    font-size: 40px;
}
.fa-space{
    margin-right: 5px;
}
.list-users{
    color: white;
}
.list-users ul{
    list-style: none;
    padding: 0;
}
.block-word{
    color: white;
}
.state-win{
    background: green;
    padding:  5px;
    border-radius: 5px;
}
.state-lost{
    background: red;
    padding:  5px;
    border-radius: 5px;
}
.list-word-test {
    padding: 10px;
    background: #FFFFFF;
    border: 1px solid #D5E3EC;
    box-shadow: 0 2px 4px rgba(228, 237, 244, 0.8);
    border-radius: 20px;
    margin: 10px 0;
    overflow-x: hidden;
}
.list-word-test-content{
    padding: 10px;
    border-radius: 20px;
    border: 1px solid #D5E3EC;
    overflow-x: auto;
    white-space: nowrap;
}
.list-users li{
    padding: 5px 0;
}
/*form*/

.forum-connexion{
    max-width: 500px;
    margin: auto;
    background: #FFFFFF;
    border: 1px solid #D5E3EC;
    box-shadow: 0 2px 4px rgba(228, 237, 244, 0.8);
    border-radius: 5px;
    overflow: hidden;
}
.button_play {
    cursor: pointer;
    border: 8px solid #022c3b;
    display: inline-flex;
    justify-content: center;
    margin-left: 3.5rem;
    color: #edf6fd;
    background-color: #094b62;
    font-size: 50px;
    font-weight: bold;
    border-radius: 40px;
    padding-top: 5px;
    padding-right: 40px;
    padding-bottom: 5px;
    padding-left: 40px;
    margin-bottom: 2rem;

}
.button_play:hover {

    color: #094b62;
    background-color: #FFFFFF;
}
.forum-connexion h1{
    text-align: center;
    margin: 0;
}
.p-form label {
    display: inline-block;
    margin-bottom: .5rem;
}
.input{
    display: block;
    width: 100%;
    padding: .375rem .75rem;
    font-size: 1rem;
    line-height: 1.5;
    color: #495057;
    outline: none;
    background-color: #fff;
    background-clip: padding-box;
    border: 1px solid #ced4da;
    border-radius: .25rem;
    transition: border-color .15s ease-in-out,box-shadow .15s ease-in-out;
    font: caption;
}
.input:focus{
    border-color: #4163EA;
    box-shadow: 0 0 0 2px rgba(65, 99, 234, 0.57);
}
.p-form{
    margin: 10px;
}
.p-submit{
    /**background: #F7FAFD;
    padding: 10px;
    border-top: 1px solid #D5E3EC; **/
    text-align: center; 
    padding: 15px;
}

.button {
    outline: none;
    user-select: none;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    text-decoration: none;
    cursor: pointer;
    white-space: nowrap;
    -webkit-transition: background-color .25s ease;
    transition: background-color .25s ease;
    font-size: 20px;
    border-radius: 40px;
    padding-top: 5px;
    padding-right: 15px;
    padding-bottom: 5px;
    padding-left: 10px;
    text-align: center;
    color: #edf6fd;
    background-color: #094b62;
    border: 1px solid transparent;
    font-family: Montserrat;
}

.button_play {
    cursor: pointer;
    border: 8px solid #022c3b;
    display: inline-flex;
    justify-content: center;
    margin-left: 3.5rem;
    color: #edf6fd;
    background-color: #094b62;
    font-size: 50px;
    font-weight: bold;
    border-radius: 40px;
    padding-top: 5px;
    padding-right: 40px;
    padding-bottom: 5px;
    padding-left: 40px;

}
.button_play:hover {

    color: #094b62;
    background-color: #FFFFFF;
}
.block-link{
    
    color: #FFFFFF;
    padding-left: 4rem;
    padding-top: 10px;
}
.start{

    margin-left: 15px;
}
.list-users{
    
    color: #ffffff;
    list-style: none;
}

.sidebar-content-value .p-submit{
    background: #F7FAFD;
    text-align: center;
    padding: 10px;
}
.sidebar-content-value .p-form{
    margin: 10px;
}
.block-form form{
    background: #FFFFFF;
    border: 1px solid #D5E3EC;
    box-shadow: 0 2px 4px rgba(228, 237, 244, 0.8);
    border-radius: 20px;
    margin-bottom: 2rem;
}
.forum-connexion form{
    background: none;
    border: none;
    box-shadow: none;
    border-radius: 0;
}
textarea.input{
    resize: none;
}
.main-articles {
    display: table;
    table-layout: fixed;
    width: 100%;
    margin-bottom: auto;
    min-height: 1px;
}
#template-article .sidebar{
    padding-right: 10px;
}
.sidebar-content-value .block-category.is-current-category{
    background: #4163EA;
    color: white;
}
.sidebar-content-value .block-category.is-current-category a{
    color: white;
    text-align: left;
}
.categories-header{
    display: none;
    position: absolute;
    left: 0;
    right: 0;
    background: #FFFFFF;
    border: 1px solid #D5E3EC;
    box-shadow: 0 2px 4px rgba(228, 237, 244, 0.8);
    border-top: 3px solid var(--color-primary);
    margin-top: 10px;
}
.categories-header.is-category-active{
    display: block;
}
.category-li{
    position: relative;
}
.category-li a{
    position: relative;
    padding-right: 20px!important;
}
.open-category {
    height: 100%;
    position: absolute;
    top: 0;
    right: 0;
    display: flex;
    align-items: center;
}
.category-li .block-category a{
    display: block;
    flex-grow: 1;
    padding: 6px 6px;
    text-decoration: none;
    overflow: hidden;
    white-space: nowrap;
    word-wrap: normal;
    text-overflow: ellipsis;
    text-align: left;
}
.category-li .block-category a:hover{
    background: none;
}
/*fa*/

.fa-meh-rolling-eyes{

    padding: 7px;
}

/*error*/
.blockMessage {
    padding: 12px 12px;
}
.get-error.active-overlay, .get-delete.active-overlay, .get-form.active-overlay, .get-view.active-overlay {
    display: block;
}
.get-error, .get-delete, .get-form, .get-view {
    display: none;
    position: fixed;
    top: 0;
    right: 0;
    left: 0;
    bottom: 0;
    z-index: 100000000;
    background: rgba(0, 0, 0, 0.35);
    opacity: 0;
    -webkit-transition: opacity 0.25s ease;
    transition: opacity 0.25s ease;
}
.get-error .overlay .overlay-content, .get-delete .overlay .overlay-content, .get-form .overlay .overlay-content, .get-view .overlay .overlay-content {
    background-color: white;
}
.get-delete .overlay, .get-form .overlay, .get-error .overlay, .get-view .overlay{
    position: relative;
    margin: 40px auto 10px;
    margin-top: 4vh;
    width: 100%;
    max-width: 800px;
    background: #ececec;
    color: #141414;
    border-radius: 4px;
    box-shadow: 0 5px 15px 0 rgba(0, 0, 0, 0.5);
    outline: none;
    overflow: hidden;
}
.get-delete .overlay > .overlay-title:first-child {
    border-top-left-radius: 4px;
    border-top-right-radius: 4px;
}

.get-delete .overlay .overlay-title, .get-form .overlay .overlay-title, .get-error .overlay .overlay-title, .get-view .overlay .overlay-title{
    margin: 0;
    font-weight: 400;
    font-size: 24px;
    color: white;
    border-bottom: 1px solid #4163EA;
    padding-top: 6px;
    padding-right: 10px;
    padding-bottom: 6px;
    padding-left: 10px;
    background: #4163EA;
}
.block-miner .form-submit{
    background: #F7FAFD;
    text-align: center;
    padding: 10px;
    border-top: 1px solid #D5E3EC;
}
.overlay .block-miner form{
    border: 0;
    box-shadow : none;
}
[data-xf-click], a[tabindex] {
    cursor: pointer;
}
.overlay-titleCloser {
    float: right;
    cursor: pointer;
    margin-left: 5px;
    text-decoration: none;
    opacity: .5;
    -webkit-transition: all 0.25s ease;
    transition: all 0.25s ease;
    color: white;
}
.block-delete {
    background-color: white;
    color: #141414;
    border-width: 1px;
    border-style: solid;
    border-top-color: #dfdfdf;
    border-right-color: #d8d8d8;
    border-bottom-color: #cbcbcb;
    border-left-color: #d8d8d8;
    border-radius: 4px;
}
.formSubmitRow-main {
    background: #F7FAFD;
    text-align: center;
    padding: 10px;
    border-top: 1px solid #D5E3EC;
}
.block-delete .block-text {
    border-radius: 12px;
    text-align: center;
    padding: 15px 10px;
}
.overlay-titleCloser:after {
    font-family: 'Font Awesome 5 Pro';
    font-size: inherit;
    font-style: normal;
    font-weight: 400;
    text-rendering: auto;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
    content: "\f00d";
}
.bock-errors-ajax{
    padding: 10px;
    background-color: white;
    border: 1px solid #D5E3EC;
    box-shadow: 0 2px 4px rgba(228, 237, 244, 0.8);
}
.overlay-content .bock-errors-ajax{
    border : none;
    box-shadow: none;
}
.overlay-content .p-form{
    margin: 0;
    padding: 10px;
}


/*footer*/
footer.footer-content{
    margin-top: auto;
    background-color: white;
    text-align: center;
}
footer.footer-content li
{
    list-style: none;
    margin: 0;
    padding: 0;
}
footer.footer-content li
{
    display: inline-block;
}


@media screen and (max-width:900px) {
    #template-article .sidebar, #template-home .sidebar{
        padding: 0;
    }
    .sidebar{
        display: table;
        width: 100%;
    }
}